unit MAUS;

  { enthlt Prozeduren zum Gebrauch der Maus }

INTERFACE

uses WinCrt,WinMouse,Graph;

var Mausx,Mausy,Maus_Status:integer;
    Mausok:boolean;

procedure Initialisiere_Maus;
procedure Zeige_Maus;
procedure Verstecke_Maus;
procedure MausStatus;
  { Position des Mauscursors (Mausx,Mausy)                             }
  { Tastenstatus: Maus_Status = 0: keine Taste gedrckt                }
  {                           = 1: linke Taste gedrckt                }
  {                           = 2: rechte Taste gedrckt               }
  {                           = 3: mittlere bzw. beide Tasten gedrckt }
procedure MausEinsatz;       { mu vor Mausbenutzung aufgerufen werden }
procedure Warte_Maus(status:byte);
  { wartet bis Maus_Status=status }
procedure Warte;
  { wartet auf Tastendruck oder (falls Mausok=true) Mausklick }
procedure Warte0;
  { wartet (falls Mausok=true) auf MausStatus=0, dann Warte }

IMPLEMENTATION

procedure Initialisiere_Maus;
  begin
   Mausok:=initmouse;
  end;  { Initialisiere_Maus }

procedure Zeige_Maus;
  begin
   showmouse;
  end;  { Zeige_Maus }

procedure Verstecke_Maus;
  begin
   hidemouse;
  end;  { Verstecke_Maus }

procedure MausStatus;
  var mx,my,b:longint;
  begin
   getmousestate(mx,my,b);
   Mausx:=mx; Mausy:=my; Maus_Status:=b;
  end;  { MausStatus }

procedure MausEinsatz;
  var aa : integer;
  begin
    Initialisiere_Maus; Zeige_Maus;
  end;  { MausEinsatz }

procedure Warte_Maus(status:byte);
  begin
    repeat MausStatus; until Maus_Status=status;
  end;  { Warte_Maus }

procedure Warte;
  var c : char;
  begin
    repeat
      if Mausok then MausStatus else Maus_Status:=0;
    until (Maus_Status<>0) or keypressed;
    if keypressed then c:=readkey;
  end; { Warte }

procedure Warte0;
  begin
    if Mausok then Warte_Maus(0);
    Warte;
  end;

begin
 Mausok:=false;
end.

